function ajush(id) {
    // 全局变量
    var apush = api.require('ajpush'),
        push = null;

    push = {
        isAndroid: function() {
            var u = navigator.userAgent,
                isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1;
            return isAndroid ? true : false;
        },
        isIos: function() {
            var u = navigator.userAgent,
                isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            return isIOS ? true : false
        },
        init: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.init(function(ret) {
                if (ret && ret.status) {
                    typeof callback == 'function' && callback(ret)
                } else {
                    console.log("Android初始化失败")
                }
            })
        },
        startInit: function() {
          if(!user["RegistrationID"]){
            push.getRegistrationId(function(ret){
              ajax.post("Account/Edit",{
                SessionKey:id,
                RegistrationID:ret.id
              },function(ret,err){
                console.log(JSON.stringify(ret))
              })
            })
          };

            if (push.isAndroid()) { //android
                push.appintent();
                push.init()
            } else { //ios
              push.noticeclicked();

            }
        },
        setListener: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.setListener(
                //获取到监听的内容
                function(ret) {
                    typeof callback == "function" && callback(ret)
                    var id = ret.id,
                        title = ret.title,
                        content = ret.content,
                        extra = ret.extra;
                    console.log("极光推送"+JSON.stringify(ret))
                }
            );
        },
        removeListener: function() {
            var ajpush = apush || api.require('ajpush');
            ajpush.removeListener();
        },
        bindAliasAndTags: function(alias, tags, callback) {
            var ajpush = apush || api.require('ajpush'),
                param = {
                    alias: alias,
                    tags: tags
                };
            ajpush.bindAliasAndTags(param, function(ret) {
                typeof callback == 'function' && callback(ret)
            });
        },
        clearNotification: function(id, callback) {
            var ajpush = apush || api.require('ajpush'),
                param = {
                    id: id || -1 //没有传递参数的时候清除所有
                };
            ajpush.clearNotification(param, function(ret) {
                if (ret && ret.status) {
                    //success
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        setPushTime: function(params, callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.setPushTime(params, function(ret) {
                if (ret && ret.status) {
                    //success
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        setSilenceTime: function(params, callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.setPushTime(params, function(ret) {
                if (ret && ret.status) {
                    //success
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        stopPush: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.stopPush(function(ret) {
                if (ret && ret.status) {
                    //success
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        resumePush: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.resumePush(function(ret) {
                if (ret && ret.status) {
                    //success
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        isPushStopped: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.isPushStopped(function(ret) {
                if (ret && ret.isStopped) {
                    typeof callback == 'function' && callback(ret)
                }
            });
        },
        setBadge: function(badge) {
            var ajpush = apush || api.require('ajpush');
            ajpush.setBadge({
                badge: badge
            });
        },
          // android
        appintent: function(data) {
            api.addEventListener({
                name: 'appintent'
            }, function(ret, err) {
                console.log(JSON.stringify(ret))
                if (ret && ret.appParam.ajpush) {
                    var ajpush = ret.appParam.ajpush,
                        extra = ajpush.extra;
                        push.openView(extra);
                }
            })
        },
        // ios
        noticeclicked: function(data) {
            api.addEventListener({
                name: 'noticeclicked'
            }, function(ret, err) {
              console.log(JSON.stringify(ret))
                if (ret && ret.value) {
                    var ajpush = ret.value,
                     extra = ajpush.extra;
                       push.openView(extra);
                }
            })
        },
        openView:function(data){
          var typeObj={"Article":0,"CallForBid":1,"Card":2},typeIndex=data.type2,tag = [{ //快讯
              name: "newsDetial",
              url: "widget://html/news/news_detail.html"
          }, { //招标
              name: "detailBids",
              url: "widget://html/bids/detailBids.html"
          }, { //问答
              name: "detail",
              url: "widget://html/question/question_detail.html"
          }],type=typeObj[typeIndex];
          if (type == 1) {
              $api.setStorage("Source", "招标")
          }
          api.openWin({
              name: tag[type].name,
              url: tag[type].url,
              pageParam: {
                  "id": data.guid
              }
          });
        },
        getRegistrationId: function(callback) {
            var ajpush = apush || api.require('ajpush');
            ajpush.getRegistrationId(function(ret) {
                var registrationId = ret.id;
                typeof callback == 'function' && callback(ret);
            });
        }
    }
    push.startInit();
    return push; //返回所有的方法
}
